Subject: Re: [PATCH 5/5] libata/drivers: Add pata_macio, driver Apple PowerMac/PowerBook IDE controller

From: Tejun Heo <[email-masked]>
Date: Tue, 01 Dec 2009 21:48:07 +0900

On 12/01/2009 09:44 PM, Holger Macht wrote:
> I do not remember any specific reason for using ata_port_schedule_eh(). I
> guess it's just there because the previous implementation used
> it. ata_port_freeze()/abort() might as well work properly. However, I
> would hesitate to change the existing code, because verifying that
> everything works contains quite some effort. There are so many different
> use cases this code can be accessed with and it has to be verified with
> all kind of different hardware to make sure we get no hard
> freezes. Testing that freeze()/abort() in this new driver would be worth a
> try, though. Next time I have setup my test environment again I can verify
> that it also works in the general libata-acpi code.

Yeap, agreed.  It was pretty painful get it right the last time
around, so changing it on a hunch would be a pretty bad idea.  If you
have a chance to try freeze or abort, please keep me posted.

Thanks.

-- 
tejun